
/* sunos.cf -- generic SunOS/Solaris configurations

   Copyright (C) 1993 Joerg Heitkoetter

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

/* $Id: sunos.cf,v 1.1 1993/02/24 11:24:11 joke Exp $ */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#define V_OSTYPE	"SunOS/Solaris 1.x"
#define SUN3	1

/*
   #define V_OSTYPE	"OSTYPE"

   #include <os-specials.h>
     ...
   #ifdef __COMPILER_TYPE__
     #include <compiler-specials.h>
     ...
   #endif __COMPILER_TYPE__

   #define RSC_FILE	"<rsc-file-name>"
   #define RSC_PATH	"<rsc_path>" */

#include <stdio.h>
#include <ctype.h>
#include <math.h>
#include <string.h>

#ifdef __STDC__
#include <stdlib.h>
#include <float.h>
#include <limits.h>
#include <unistd.h>

#define	USINTMAX	UINT_MAX
#define	UINTMAX		UINT_MAX
#define	INTMAX		INT_MAX
#define	BIGFLOAT	FLT_MAX
#else
#include <limits.h>
#include <values.h>

#define	USINTMAX	UINT_MAX
#define	UINTMAX		UINT_MAX
#define	INTMAX		MAXINT
#define	BIGFLOAT	MAXFLOAT
#endif /* __STDC__ */


#define getch()		getchar ()

#define	INTSZ		32
#define	VOID		void

#define	SUN3		1
#endif /* __CONFIG_H__ */
